function [y,x,sigmaP]=VAR_dummy_A(LAMDAPEVIEWS,TAUPEVIEWS,EPSILONPEVIEWS,Y,L,EX,lintrend, setW)
N=cols(Y);

lamdaP=LAMDAPEVIEWS;  %This controls the tightness of the priors on the first lag  ==> The smaller, the tighter
tauP=TAUPEVIEWS;  % this controls the tightness of the priors on sum of coefficients ==>  The smaller tauP, the tighter the prior 
epsilonP=EPSILONPEVIEWS;  % this controls tightness of the prior on the constant- The smaller the looser
muP=mean(Y)';
sigmaP=zeros(N,1);
deltaP=zeros(N,1);
for i=1:N
    ytemp=Y(:,i);
    xtemp=[lag0(ytemp,1) ones(rows(ytemp),1)];
    ytemp=ytemp(2:end,:);
    xtemp=xtemp(2:end,:);
    btemp=xtemp\ytemp;
    etemp=ytemp-xtemp*btemp;
    stemp=etemp'*etemp/rows(ytemp);
    if btemp(1)>1;
        btemp(1)=0.99;
    end
    deltaP(i)=btemp(1);
    sigmaP(i)=sqrt(stemp);
end
if setW==1
    deltaP=ones(N,1);
end
if setW==0
    deltaP=zeros(N,1);
end
%dummy data to implement priors see http://ideas.repec.org/p/ecb/ecbwps/20080966.html
sigma=sigmaP;
lamda=lamdaP;
delta=deltaP;
epsilon=epsilonP; 
p=L;
nex=EX;
const=1;
n=N;

if lamda > 0
    yd1=[zeros(nex,n);
        diag(sigma.*delta)./lamda;
        zeros(n*(p-1),n);
        zeros(const+lintrend,n)];
    
    %%diag(sigma);
    
    jp=diag(1:p);
    
    xd1=[zeros(nex,(n*p)+const+lintrend+nex);
        zeros((n*p),nex) kron(jp,diag(sigma)./lamda) zeros((n*p),const+lintrend) ;
        zeros(const+lintrend,n*p+nex) epsilon*eye(const+lintrend)];
    %zeros(n,(n*p)+const+lintrend+nex)
    
  
         
         
         
         
else
    disp('lambda has to be positive')
    return;
end

y=yd1;
x=xd1;

%  long run restrictions (you need to define tau & mu in the inputs)
mu=muP;
tau=tauP;
if tauP > 0
    yd2=diag(delta.*mu)./tau;
    xd2=[zeros(n,nex) kron((1:p),yd2)];
    y=[yd1; yd2];
    x=[xd1; xd2];
end
