function [yd,xd,b0,s0]=getdummiesSS_adj(LAMDAPEVIEWS,TAUPEVIEWS,EPSILONPEVIEWS,Y,L,EX,LH,EPSILONH,RW)
N=cols(Y);

lamdaP=LAMDAPEVIEWS;  %This controls the tightness of the priors on the first lag
tauP=TAUPEVIEWS;  % this controls the tightness of the priors on sum of coefficients
epsilonP=EPSILONPEVIEWS;  % this controls tightness of the prior on the constant
epsilonH=EPSILONH;
muP=mean(Y)';
sigmaP=zeros(N,1);
deltaP=zeros(N,1);
% for i=1:N
%     ytemp=Y(:,i);
%     %xtemp=[lag0(ytemp,L) ones(rows(ytemp),1)];
%     xtemp=[];
%     for lag=1:L
%     xtemp=[xtemp lag0(ytemp,lag)];
%     end
%     ytemp=ytemp(L+1:end,:);
%     xtemp=xtemp(L+1:end,:);
%     btemp=xtemp\ytemp;
%     etemp=ytemp-xtemp*btemp;
%     stemp=etemp'*etemp/rows(ytemp);
%     if btemp(1)>1;
%         btemp(1)=1;
%     end
%     deltaP(i)=btemp(1);
%     sigmaP(i)=sqrt(stemp);
% end


for i=1:N
    ytemp=Y(:,i);
    xtemp=[];
    for lag=1:L
    xtemp=[xtemp lag0(ytemp,lag)];
    end
    xtemp=[xtemp ones(rows(ytemp),1)];
    ytemp=ytemp(L+1:end,:);
    xtemp=xtemp(L+1:end,:);
    btemp=xtemp\ytemp;
    etemp=ytemp-xtemp*btemp;
    stemp=etemp'*etemp/rows(ytemp);
    if btemp(1)>1;
        btemp(1)=1;
    end
    sigmaP(i)=sqrt(stemp)
    deltaP(i)=btemp(1);
end




if RW==1
    deltaP=ones(N,1);
end
%dummy data to implement priors see http://ideas.repec.org/p/ecb/ecbwps/20080966.html
[yd,xd] = create_dummies_A(lamdaP,tauP,deltaP,epsilonP,L,muP,sigmaP,N);
% size(yd)
% size(xd)
b0=vec(xd\yd);

  b01=reshape(b0,N*L+EX,N);
  e0=yd-xd*b01;
%   S=e0'*e0;
S=diag(sigmaP.^2);
  s0=kron(S,pinv(xd'*xd));