% Change from the "getvarcoef" of Mumtaz
% For the regime switching model

function [beta,res,sigma,problem,trys]=getvarcoef_noSV(y,x,yd,xd,maxtrys,L,EX,sigma);
[T,N]=size(y);
Y=y;
X=x;
Y0=[Y;yd];
X0=[X;xd];
%conditional mean of the VAR coefficients
 mstar=vec(X0\Y0);  %ols on the appended data
ixx=invpd(X0'*X0);
%sigma=iamat*diag(Sbig)*iamat';
vstar=kron(sigma,ixx);
trys=1;
problem=0;
chck=-1;
while chck<0 && trys<maxtrys
beta=mstar+(randn(1,N*(N*L+EX))*cholx(vstar))';
ee=stability(beta,N,L,EX);
if ee==0;
    chck=10;
else
    trys=trys+1;
end
end
if chck<0
    problem=1;
end
res=y-x*reshape(beta,N*L+EX,N);

%draw covariance
e=Y0-X0*reshape(beta,N*L+EX,N);
scale=e'*e;
sigma=iwpq(T+rows(yd),inv(scale));