% Change from the "getvarcoef" of Mumtaz
% For the regime switching model
% Using Independent =Normal Inverse Wishart Prior

function [beta,resv,Sigma,problem,trys]=getvarcoef_noSV_v1(y,x,invQ,Bpri,maxtrys,L,EX,Sigma,vg0,S0);
[T,~]=size(y);
X=x;

b=X\y;
betaols=vec(b);
[T,N]=size(y);

Chan_way=1;
if Chan_way==1
Kb=invQ+kron(inv(Sigma),X'*X); 
Cb=chol(Kb,'lower');
vstar1=Cb'\(Cb\eye(size(Cb,1)));  
mstar=Cb'\(Cb\(invQ*Bpri+kron(inv(Sigma),X'*X)*betaols)); 
else
vstar1=inv(inv(Qpri)+kron(inv(Sigma),X'*X));
mstar=vstar1*(inv(Qpri)*Bpri+kron(inv(Sigma),X'*X)*betaols); 
end


trys=1;
problem=0;
chck=-1;
while chck<0 && trys<maxtrys
beta=mstar+(randn(1,N*(N*L+EX))*cholx(vstar1))';
ee=stability(beta,N,L,EX);
if ee==0;
    chck=10;
else
    trys=trys+1;
end
end
if chck<0
    problem=1;
end

%draw covariance
resv=y-x*reshape(beta,N*L+1,N);
scalev=resv'*resv+S0;
Sigma=iwpq(T+vg0,inv(scalev));

