function [ out] = getvolirfFx_0_mod( L,LH,LV,N,horizon,shock,Fmat,Qmat,varcoef,Nx,LX )
LL=max(L,LH);
    hhat=zeros(horizon+LL,N);
    vhat=zeros(horizon+LL,N);
    vhat(LL+1,:)=shock;
    yhat=zeros(horizon+LL,N);
    for m=LL+1:horizon+LL
        hx=hhat(m-1,:);
        for i=1:LV
            hx=[hx yhat(m-i,:)];
        end
        hhat(m,:)=[hx 0]*Fmat+vhat(m,:)*chol(Qmat(1:N,1:N));
        %hhat(m,:)=[hx 0]*Fmat+vhat(m,:);
        xhat=[];
        for i=1:L
            xhat=[xhat yhat(m-i,:)];
        end
        
        for i=0:LH
            xhat=[xhat hhat(m-i,:)];
        end
        
       
          % Constant term
        xhat=[xhat 0];
        
         % Exogenous terms
         for i=1:LX+1
            xhat=[xhat zeros(1,Nx)];
         end
         
        yhat(m,:)=xhat*varcoef;
    end
    
    out=[yhat(LL+1:end,:) hhat(LL+1:end,:)];
end

