function [hlast,g]=initial_vol(y,s0)
hlast=(diff(y).^2)+0.0001;
hlast=[hlast(1:2,:);hlast];  %rough intial guess for svol
errors=diff(y); %initial guess for VAR residuals
errors=[errors(1,:);errors(1:end,:)];
N=size(y,2);
g=ones(N,1);  % rough guess for the variance of the transition equation
g0=0.01^2;    % prior scale parameter for inverse gamma
Tg0=1;        % prior degrees of freedom
%SV=zeros(REPS-BURN,T+1,N);
h01=hlast;
h0=hlast;
errors0=errors;
KK=10000;
for i=1:KK
    for j=1:N
    h01(:,j)=getsvol(h0(:,j),g(j),log(s0(j,j)),10,errors0(:,j));
    errors=log(h01(2:end,j))-log(h01(1:end-1,j));
    errors0(:,j)=[errors];
    g(j)=IG(Tg0,g0,errors0(:,j));
    end 
end
hlast=h0;
